package com.ynet.life.formValidation;

import com.ynet.gene.datatype.InvalidDataException;
import com.ynet.life.base.Trace;
import com.ynet.life.exception.TranFailException;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.LinkedList;
import java.util.List;
import java.util.Map;
import java.util.StringTokenizer;
import javax.servlet.http.HttpServletRequest;

/* loaded from: com_ynet_life_formValidation.jar:com/ynet/life/formValidation/FormValidationProvider.class */
public class FormValidationProvider {
    protected static Map FORMVALIDATION_CONFIG_MAP = null;

    protected FormValidationProvider() {
    }

    public static void initTableConfig(String filePathName) throws TranFailException {
        FORMVALIDATION_CONFIG_MAP = FormValidationConfig.initFormFile(filePathName);
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v45 */
    /* JADX WARN: Type inference failed for: r0v55, types: [java.lang.reflect.Method] */
    /* JADX WARN: Type inference failed for: r0v64 */
    /* JADX WARN: Type inference failed for: r0v65 */
    public static boolean doCheck(Map map) throws TranFailException {
        boolean z = true;
        for (String str : map.keySet()) {
            ArrayList arrayList = (ArrayList) map.get(str);
            try {
                Object newInstance = Class.forName(str).newInstance();
                for (int i = 0; i < arrayList.size(); i++) {
                    LinkedList linkedList = (LinkedList) arrayList.get(i);
                    ArrayList arrayList2 = (ArrayList) linkedList.get(0);
                    String str2 = (String) linkedList.get(1);
                    try {
                        Method method = newInstance.getClass().getMethod("setAttributes", List.class);
                        if (method != null) {
                            method.invoke(newInstance, arrayList2);
                        }
                        try {
                            Method method2 = newInstance.getClass().getMethod("setInput", String.class);
                            InvocationTargetException invocationTargetException = method2;
                            if (method2 != null) {
                                invocationTargetException = method2.invoke(newInstance, str2);
                            }
                            try {
                                invocationTargetException = newInstance.getClass().getMethod("validateStringValue", new Class[0]);
                                if (invocationTargetException != 0) {
                                    z = ((Boolean) invocationTargetException.invoke(newInstance, new Object[0])).booleanValue();
                                }
                            } catch (InvocationTargetException e) {
                                InvalidDataException targetException = invocationTargetException.getTargetException();
                                if (targetException instanceof InvalidDataException) {
                                    Trace.logError("LifeAction", targetException.getShowMessage(), targetException);
                                    throw new TranFailException(targetException.getErrorCode(), targetException.getShowMessage());
                                }
                            } catch (Exception e2) {
                                Trace.logError("LifeAction", "Exception while invoke methodName=" + str + FormValidationConstants.FIELD_VAR_FIX + "validateStringValue", e2);
                                throw new TranFailException("EBLN0000", "Exception while invoke methodName=" + str + FormValidationConstants.FIELD_VAR_FIX + "validateStringValue");
                            }
                            if (!z) {
                                return z;
                            }
                        } catch (Exception e3) {
                            Trace.logError("LifeAction", "Exception while invoke methodName=" + str + FormValidationConstants.FIELD_VAR_FIX + "setInput", e3);
                            throw new TranFailException("EBLN0000", "Exception while invoke methodName=" + str + FormValidationConstants.FIELD_VAR_FIX + "setInput");
                        }
                    } catch (Exception e4) {
                        Trace.logError("LifeAction", "Exception while invoke methodName=" + str + FormValidationConstants.FIELD_VAR_FIX + "setAttributes", e4);
                        throw new TranFailException("EBLN0000", "Exception while invoke methodName=" + str + FormValidationConstants.FIELD_VAR_FIX + "setAttributes");
                    }
                }
            } catch (Exception e5) {
                Trace.logError("LifeAction", "Exception while instance className=".concat(String.valueOf(str)), e5);
                throw new TranFailException("EBLN0000", "Exception while instance className=".concat(String.valueOf(str)));
            }
        }
        return z;
    }

    public static FormValidationConfig getFormValidationConfig(String businessCode) throws TranFailException {
        return (FormValidationConfig) FORMVALIDATION_CONFIG_MAP.get(businessCode);
    }

    public static Map getPostParamsMap(HttpServletRequest request) {
        Map map = request.getParameterMap();
        Map paramsMap = new HashMap();
        for (Map.Entry entry : map.entrySet()) {
            String key = entry.getKey().toString();
            Object valueObj = entry.getValue();
            if (valueObj instanceof String[]) {
                String[] values = (String[]) valueObj;
                paramsMap.put(key, values);
            }
        }
        return paramsMap;
    }

    public static Map getValidationInputMap(FormValidationConfig formValidationConfig, HttpServletRequest request) {
        Map inputMap = new HashMap();
        Map paramsMap = getPostParamsMap(request);
        Map dataToTypeMap = formValidationConfig.getDataToTypeMap();
        for (String dataFieldName : dataToTypeMap.keySet()) {
            Map dataTypeMap = (HashMap) dataToTypeMap.get(dataFieldName);
            String fieldName = dataFieldName.split(FormValidationConstants.FIELD_VAR_FIX, -2)[0];
            String fieldDesc = dataFieldName.split(FormValidationConstants.FIELD_VAR_FIX, -2)[1];
            String fieldErroe = dataFieldName.split(FormValidationConstants.FIELD_VAR_FIX, -2)[2];
            String[] nameItems = fieldName.split(FormValidationConstants.TYPE_SEPERATOR);
            String[] descItems = fieldDesc.split(FormValidationConstants.TYPE_SEPERATOR);
            String[] erroeItems = fieldErroe.split(FormValidationConstants.TYPE_SEPERATOR);
            for (int index = 0; index < nameItems.length; index++) {
                String nameItem = nameItems[index].trim();
                String descItem = descItems[index].trim();
                String erroeItem = erroeItems[index].trim();
                if (nameItem.indexOf(FormValidationConstants.FIELD_VAR_ICOLL) != -1) {
                    Object valueObj = paramsMap.get(String.valueOf(nameItem) + FormValidationConstants.ICOLL_VAR_SUFFIX);
                    if (valueObj != null) {
                        String[] values = (String[]) valueObj;
                        for (int i = 0; i < values.length; i++) {
                            String str = values[i];
                            String dataFieldValue = str;
                            if (str == null) {
                                dataFieldValue = "";
                            }
                            transferMap(dataTypeMap, inputMap, String.valueOf(dataFieldValue) + FormValidationConstants.FIELD_VAR_FIX + descItem + FormValidationConstants.FIELD_VAR_FIX + erroeItem, request, i);
                        }
                    }
                } else {
                    String parameter = request.getParameter(nameItem);
                    String dataFieldValue2 = parameter;
                    if (parameter == null) {
                        dataFieldValue2 = "";
                    }
                    transferMap(dataTypeMap, inputMap, String.valueOf(dataFieldValue2) + FormValidationConstants.FIELD_VAR_FIX + descItem + FormValidationConstants.FIELD_VAR_FIX + erroeItem, request, 0);
                }
            }
        }
        return inputMap;
    }

    public static void transferMap(Map srcMap, Map desMap, String appendStr, HttpServletRequest request, int icollIndex) {
        for (String className : srcMap.keySet()) {
            LinkedList linkedList = new LinkedList();
            String params = (String) srcMap.get(className);
            linkedList.add(transferParams(params, request, icollIndex));
            linkedList.add(appendStr);
            ArrayList arrayList = new ArrayList();
            arrayList.add(linkedList);
            if (!desMap.containsKey(className)) {
                desMap.put(className, arrayList);
            } else {
                ArrayList arrayList2 = (ArrayList) desMap.get(className);
                arrayList2.add(linkedList);
                desMap.put(className, arrayList2);
            }
        }
    }

    public static List transferParams(String params, HttpServletRequest request, int icollIndex) {
        if (params == null) {
            return null;
        }
        List paramsList = new ArrayList();
        StringTokenizer toke = new StringTokenizer(params, FormValidationConstants.FIELD_DATA_FIX);
        while (toke.hasMoreElements()) {
            String param = ((String) toke.nextElement()).trim();
            if (param.indexOf(FormValidationConstants.PARAM_VAR_PREFIX) != -1 && !param.endsWith(FormValidationConstants.PARAM_VAR_PREFIX)) {
                String paramVar = param.substring(param.indexOf(FormValidationConstants.PARAM_VAR_PREFIX) + 1);
                if (paramVar.indexOf(FormValidationConstants.FIELD_VAR_ICOLL) != -1) {
                    if (paramVar.endsWith(FormValidationConstants.ICOLL_VAR_SUFFIX)) {
                        paramsList.add(request.getParameterValues(paramVar.substring(0, paramVar.indexOf(FormValidationConstants.ICOLL_VAR_SUFFIX))));
                    } else {
                        String[] icoll = request.getParameterValues(paramVar);
                        if (icoll.length > icollIndex) {
                            paramsList.add(icoll[icollIndex]);
                        }
                    }
                } else {
                    String paramVarValue = request.getParameter(paramVar);
                    paramsList.add(paramVarValue);
                }
            } else {
                paramsList.add(param);
            }
        }
        return paramsList;
    }
}
